<template>
<router-link id="linkRouter" v-bind:to="url">
    <div class="blockListe" 
        v-bind:id="liste.id">
        <h2>{{liste.nom}} ({{(this.listItems != null ? this.listItems.length : "0")}} items)</h2>
        <p>{{liste.description}}</p>
    </div>
</router-link>
</template>

<script>
export default {
  props: {
    liste : Object
  },
  computed: {
        url() {
            return '/list/' + this.liste.id;
        }
    },
    created(){
      let currentListe = this.liste.id;
      var listeItems = JSON.parse(localStorage.getItem("items"));
      this.listItems = (listeItems != null ? listeItems.filter(function (items) { return items.idListe == currentListe}) : null);
  },
}
</script>

<style scoped>

.blockListe{
   background-color: rgb(130, 145, 230);
   padding: 3px 6px;
   margin-bottom : 20px;
}

.blockListe:hover{
   background-color: rgb(163, 175, 245);
   cursor: pointer;
}

h2, p {
    color: white;
    margin-bottom : 5px;
    margin-top : 5px;
}

#linkRouter{
    text-decoration: none;
}


</style>